### A free/open-source library for quantitative finance

Public Member Functions
MTBrownianGenerator Class Reference

Mersenne-twister Brownian generator for market-model simulations. More...

`#include <ql/models/marketmodels/browniangenerators/mtbrowniangenerator.hpp>`

Inherits BrownianGenerator.

List of all members.

## Public Member Functions

| MTBrownianGenerator (Size factors, Size steps, unsigned long seed=0)
Real | nextStep (std::vector< Real > &)
Real | nextPath ()
Size | numberOfFactors () const
Size | numberOfSteps () const

## Detailed Description

Mersenne-twister Brownian generator for market-model simulations.

Incremental Brownian generator using a Mersenne-twister uniform generator and inverse-cumulative Gaussian method.

Note:
  At this time, generation of the underlying uniform sequence is eager, while its transformation into Gaussian variates is lazy. Further optimization might be possible by using the Mersenne twister directly instead of a RandomSequenceGenerator; however, it is not clear how much of a difference this would make when compared to the inverse-cumulative Gaussian calculation.